//float f;
//if (depth < dofParams.y)
//{
//	//Fragment is before focus plane
//	// scale depth value range to [-1, 0]
//	f = (depth - dofParams.y)/(dofParams.y - dofParams.x);
//} else {
//	//Fragment is behind focus plane
//	// scale depth range to [0, 1] 
//	f = (depth - dofParams.y)/(dofParams.z - dofParams.y);
//	// clamp the far blur to max. blurriness
//	f = clamp(f, 0, dofParams.w);
//}
////scale and bias into [0, 1] range
//result.a =  (f * 0.5f + 0.5f);

//NOTE: Using precalculated Values, see comments in common.fxh
float f;
if (depth < dofParams.z)
{
	//Fragment is before focus plane
	// scale depth value range to [-1, 0]
	f = (depth - dofParams.z)*dofParams.x;
} else {
	//Fragment is behind focus plane
	// scale depth range to [0, 1] 
	f = (depth - dofParams.z)*dofParams.y;
	// clamp the far blur to max. blurriness
	f = clamp(f, 0, dofParams.w);
}
//scale and bias into [0, 1] range
result.a =  (f * 0.5f + 0.5f);
//result.xyz = result.aaa;