//Fast Pseudo 16x16 Filter (through some kinde of dithering...)
//See GPU Gems, Shadow Map Anti-Aliasing
//NOTE: the constant .0002604 is derived from 1 / VSDCT-Map * .8 (fudge=
//-> has to changed if VSDCT-Map Res is changing

float2 offset = (float) (frac(wPos.xy * 0.5) > 0.25);
offset.y += offset.x;
if (offset.y > 1.1)
	offset.y = 0;

float2 texScale = { 1.0/4096.0, 1.0/2730.0 };
//float2 texScale = { 1.3/4096.0, 1.3/2730.0 };
//float2 texScale = { .000317, .000476 };
//float2 texScale = { .8/4096.0, .8/2730.0 };

float shadowCenter = tex2Dproj(shadowMapVSDCT, shadowIndirectCoord).r;

float shadow4tap = (

		tex2Dproj(shadowMapVSDCT, float4( shadowIndirectCoord.xy + (offset + float2(-1.5,0.5))*texScale, shadowIndirectCoord.z, 1.0f)).x +
		tex2Dproj(shadowMapVSDCT, float4( shadowIndirectCoord.xy + (offset + float2(0.5,0.5))*texScale, shadowIndirectCoord.z, 1.0f)).x +
		tex2Dproj(shadowMapVSDCT, float4( shadowIndirectCoord.xy + (offset + float2(-1.5,-1.5))*texScale, shadowIndirectCoord.z, 1.0f)).x +
		tex2Dproj(shadowMapVSDCT, float4( shadowIndirectCoord.xy + (offset + float2(0.5,-1.5))*texScale, shadowIndirectCoord.z, 1.0f)).x

		)*.25;

if ( onEdge > 0.2) {
	shadow = shadow4tap;
} else {
		if (shadowCenter != 1.0 && shadowCenter != 0.0) 
			shadow = shadowCenter +shadow4tap;
		else 
			shadow = shadowCenter;
}